/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() { // module container

dojo.provide("com.ibm.rational.report.web.cq.app.internal.AboutDialog");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojox.data.dom");
dojo.require("com.ibm.rational.report.web.core.app.internal.AboutDialog");

/**
 * Displays the About dialog.
 */
dojo.declare(
	"com.ibm.rational.report.web.cq.app.internal.AboutDialog",
	[com.ibm.rational.report.web.core.app.internal.AboutDialog], {
	
	templatePath: dojo.moduleUrl("com.ibm.rational.report.web.cq", "app/internal/templates/AboutDialog.html"),
	
	postCreate: function() {
		this.inherited("postCreate", arguments);
	},
	
	_getVersionPrefix: function() {
	  	return "  RCQR-";
	}
});

})();